
function [outp] = TE_stat(par,str)

% This function reads and labels the p-values from the TEpermtest files   

%% read values    

path = par.path;

%          str.cpl = par.cpl;
%          str.u   = sprintf('%02d' ,par.u );
%          str.nx  = sprintf('%1.1f',par.nx);
%          str.ny  = sprintf('%1.1f',par.ny);
%          str.nT  = sprintf('%02d' ,par.nT);
%          str.nS  = sprintf('%02d' ,par.nS);
%          str.g   = sprintf('%1.1f',par.g );
%          str.ex  = sprintf('%1.2f',par.eta_x);

temp_str = strcat(path,str.cpl,'_g',str.g,'_nx',str.nx,'_ny',str.ny,'_u',str.u); 

if mod(par.toi,1) == 0
    str.toi = sprintf('%1d'  ,par.toi);
else
    str.toi = sprintf('%1.1f',par.toi);
end 

if size(par.eta_x,2) > 1
    temp_str = strcat(temp_str,'_eta_',str.ex);
end

for r = par.srun:par.n_runs
    
    r_str  = sprintf('%02d',r);
    filename = strcat(temp_str,'_r',r_str,'_nT',str.nT,'_time0-',str.toi,'s_TEpermtest_output.mat');
%     is_file = strcmp(which(filename),filename);
%     if is_file
try
        load(filename);
catch LE
    display(LE.message);
end;
    
    
        for i = 1:2

            outp.p(i,r)         = TEpermtest.TEpermvalues(i,1,1);   % p-value
            outp.sign(i,r)      = TEpermtest.TEpermvalues(i,1,2);   % (0/1) significance at alpha-level
            outp.sign2(i,r)     = TEpermtest.TEpermvalues(i,1,3);   % (0/1) significance at alpha-level after mult. comp. corr.
            outp.instmix(i,r)   = TEpermtest.TEpermvalues(i,1,5);   % (0/1) instantaneous mixing found
            outp.dim(r)         = TEpermtest.cfg.dim;
            outp.tau(r)         = TEpermtest.cfg.tau;            
          %   outp.comb(i,r)     = d;


        end;
%     else
%         if ~par.prelim
%             errms = strcat('File not found: ', filename);
%             error(errms);
%         else
%             break
%         end
%     end
end

outp.n_eval = r;

if ~par.prelim
    outp.mean(1)  = mean(outp.p(1,:));
    outp.mean(2)  = mean(outp.p(2,:));
    outp.mean_dim = mean(outp.dim);
    outp.var_dim  = var(outp.dim);
    outp.mean_tau = mean(outp.tau);    
    outp.var_tau  = var(outp.tau);
end


%% labelling 

outp.str = '';

if size(par.cpl,2) > 1
    outp.str = strcat(outp.str, str.cpl,',');
end

if size(par.u ,2)  > 1
    outp.str = strcat(outp.str,' u= ', str.u);
end

if size(par.nx,2)  > 1 
    outp.str = strcat(outp.str,' nx= ', str.nx);
end

if size(par.ny,2)  > 1
    outp.str = strcat(outp.str,' ny= ', str.ny);
end

if size(par.nT,2)  > 1
    outp.str = strcat(outp.str,' nT= ', str.nT);
end

if size(par.nS,2)  > 1
    outp.str = strcat(outp.str,' nS= ', str.nS);
end

if size(par.g ,2)  > 1
    outp.str = strcat(outp.str,' g= ', str.g);
end
end